Bug 820162 - Transcient error in Koji/F15
Transcient error in Koji/F15
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mock (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Clark Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-09 05:58 EDT by Patrick Monnerat
Modified: 2014-06-30 18:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-23 17:08:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick Monnerat 2012-05-09 05:58:24 EDT
Description of problem:
While packaging a new version of xca, the initial "fedpkg build" for F15 failed with error "BuildrootError: could not init mock buildroot, mock exited with status 4; see root.log for more information". See http://koji.fedoraproject.org/koji/taskinfo?taskID=4059840

I thus examined all the log files and could not find a real error. Resubmitting exactly the same build 50min later succeeded: http://koji.fedoraproject.org/koji/taskinfo?taskID=4059927

Notes:
- This problem occurred in Koji, not in a locally installed system.
- Initially reported to the fedora-devel list: http://lists.fedoraproject.org/pipermail/devel/2012-May/166749.html

Version-Release number of selected component (if applicable):
1.1.18

How reproducible:
God knows :-/

Actual results:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4059840

Expected results:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4059927

Thanks for reassigning it if it is not mock's fault.
Comment 1 Clark Williams 2012-06-07 17:22:24 EDT
Dennis and I talked about it and we're not sure where it should be fixed yet. The issue seems to be a GID collision inside the chroot between the package and mock.

We're looking at it.
Comment 2 Clark Williams 2012-08-23 16:32:07 EDT
Well, now I don't remember what we decided, if anything. Dennis, do you recall?
Comment 3 Clark Williams 2013-03-27 13:10:41 EDT
Ok this was the gid collision where the gid claimed by mock on the host collided with a system gid from a package installed in the chroot. I've request that the 'setup' package allocate a static gid for mock. 

Here's the request BZ:

https://bugzilla.redhat.com/show_bug.cgi?id=928063

Once this is done the mock gid should be consistent between the host and the chroot environment.
Comment 4 Patrick Monnerat 2013-03-27 13:14:29 EDT
Thanks for your action. I must say it never occurred for me again since then.
Comment 5 Clark Williams 2013-03-31 14:05:20 EDT
Yeah, it's going to be somewhat rare, but as you've seen, it will happen.
Comment 6 Fedora End Of Life 2013-04-03 15:47:31 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 7 Clark Williams 2013-10-23 17:09:35 EDT
Mock gid has been static since 1.1.31
Comment 8 Dennis Gilmore 2014-06-23 11:25:06 EDT
removing needinfo

Note You need to log in before you can comment on or make changes to this bug.